> ## Documentation Index
> Fetch the complete documentation index at: https://developers.ebioro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance by Asset

> Fetches the balance of a specific asset for the logged-in merchant.



## OpenAPI

````yaml GET /accounts/balances/{asset_id}
openapi: 3.0.0
info:
  title: Ebioro Merchant API
  description: >-
    API for merchant payment processing on Stellar. Supports direct USDC
    payments and cross-chain deposits from multiple blockchains.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /accounts/balances/{asset_id}:
    get:
      tags:
        - Accounts
      summary: Retrieve specific asset balance
      description: Fetches the balance of a specific asset for the logged-in merchant.
      operationId: AccountsController_getAssetBalance
      parameters:
        - name: x-digest-timestamp
          in: header
          description: Current Unix timestamp
          required: true
          schema:
            type: string
        - name: x-digest-key
          in: header
          description: Your public api key
          required: true
          schema:
            type: string
        - name: x-digest-signature
          in: header
          description: Digest Auth Signature
          required: true
          schema:
            type: string
        - name: asset_id
          required: true
          in: path
          description: The ID of the asset to retrieve the balance for
          schema:
            example: USDC:GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5
      responses:
        '200':
          description: >-
            On success, the endpoint will return a JSON object with the balance
            of the specified asset.
          content:
            application/json:
              example:
                balance: '0.00'
              schema:
                type: object
                properties:
                  balance:
                    type: string
                    description: The total available balance for the specified asset.
                required:
                  - balance
                description: >-
                  The response includes the total available balance of the
                  specified asset, formatted as a string.
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                reason: Asset is not supported
                statusCode: 400
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                reason: Unauthorized
                statusCode: 401
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                reason: Internal Server Error
                statusCode: 500
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
      security:
        - customHeader: []
components:
  securitySchemes:
    customHeader:
      type: apiKey
      in: header
      name: x-digest-key
      description: Your public API key

````